Bug 189113 - Unnecessary dependencies.
Unnecessary dependencies.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sylpheed-claws (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-16 21:50 EDT by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 19:53:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-04-16 21:50:40 EDT
Upon installing sylpheed-claws I seem to get many unrelated packages which I
didn't  need....

Installing:
 sylpheed-claws          ppc        2.1.0-1.fc5      extras            2.8 M
Installing for dependencies:
 clamav-data             ppc        0.88.1-1.fc5     extras            3.4 M
 clamav-lib              ppc        0.88.1-1.fc5     extras            173 k
 dillo                   ppc        0.8.5-2.fc5      extras            420 k
 fedora-usermgmt         noarch     0.8-2.fc5        extras            7.8 k
 fedora-usermgmt-setup   noarch     0.8-2.fc5        extras            5.7 k
 fedora-usermgmt-shadow-utils  noarch     0.8-2.fc5        extras            6.6 k
 libetpan                ppc        0.45-1.fc5       extras            289 k


I can understand libetpan, but what's the other lot for? Virus scanning doesn't
live in the mail user agent; clamav shouldn't be a dependency.
Comment 1 Colin Leroy 2006-04-17 11:37:48 EDT
There's a clamav plugin for virus scanning. Most distros separate core and
plugins packages, maybe that's what's needed... Dillo is for the dillo viewer
plugin which could be separated too, fedora-usermgmt-* I've got no idea...
Libetpan is necessary, it's the lib we use for IMAP access.
Comment 2 Andreas Bierfert 2006-04-17 12:18:08 EDT
Well yes... I splitted everything out here. Will send an announce to
fedora-extras-list once I push the new 2.1.1 with these changes but first I need
to fix sylpheed-claws-plugins package =)

fedora-usermgmt is for clamav I guess...

Note You need to log in before you can comment on or make changes to this bug.